<?php
include('../includes/validador.php');
include('../conexiones/conex.php');
include('../includes/funciones.php');

$idpers = $_POST['idalumno'];

//DATOS PARA MATRICULACION
$curso = $_POST['curso_int'];
$turno = $_POST['turno'];
$escuela = $_POST['escuela_proc'];
$anho_lect = $_POST['anho_lect'];
$timbrado = $_POST['timbrado'];

//DATOS PARA PAGO
$monto_matr = limpiar3($_POST['monto_matricula']);
$monto_abonado = limpiar3($_POST['monto_abonado']);
$forma_pago = $_POST['forma_pago'];
$nombre_banco = $_POST['nombre_banco'];
$num_cheque = $_POST['num_cheque'];
if($_POST['monto_cheque'] == ""){
    $monto_cheque = 0;
}else{
    $monto_cheque = limpiar3($_POST['monto_cheque']);
}
if(isset($_POST['obs_matricula'])){
    $obs_matricula = $_POST['obs_matricula'];
}else{
    $obs_matricula = "";
}
$factura = $_POST['factura'];
$fechaAct = date("Y-m-d");
$fecta_matr = fechaNormal($_POST['fecha_matr']);

if($monto_matr >= $monto_abonado){

    //COMIENZA PROCESO - PRIMERO PERSONA -> ALUMNO -> MATRICULA -> PAGOS
    
    try {
        $con->autocommit(FALSE);
        
        
        //QUERY PAGO
            $queryPagoMatr="INSERT INTO pagos_matriculas (matricula_INT, monto_matricula, monto_abonado, forma_pago, cheque_banco, num_cheque, monto_cheque, num_factura, timbrado, fecha_registro, fecha_matricula)
            VALUES(
                '$idmatr', 
                '$monto_matr', 
                '$monto_abonado', 
                '$forma_pago', 
                '$nombre_banco', 
                '$num_cheque', 
                '$monto_cheque', 
                '$factura',
                '$timbrado', 
                '$fechaAct', 
                '$fecta_matr'
                )";
            $con->query($queryPagoMatr) or throw_ex(mysqli_error($con)); //si re registró bien
        //fin query pago
    
        $con->commit();
            $idmatr = $idmatr;
            $datos = array(
                0 => 1,
                1 => $idmatr
                );
            echo json_encode($datos);
        $con->close();
    } catch (Exception $e) {  
        $con->rollback();
        $datos = array(
            0 => 2,
            1 => "$e",
            );
        echo json_encode($datos);
        $con->close(); 
    }

}else{
    $datos = array(
        0 => 3,
        1 => 0,
        );
    echo json_encode($datos);
$con->close();
}
?>